* {
  box-sizing: border-box;
}

html {
	background-color: #510200;
	background-image: url('images/bg.jpg');
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
	height: 100vh;

	margin: 0;
	font-family: sans-serif;
	font-weight: bold;
	-webkit-text-stroke:1px #000;
	-webkit-text-fill-color:#E91;
	text-shadow: 0px 0px 4px #FA2;
}

body.site {
	-webkit-overflow-scrolling: auto;
	touch-action: none;
	-ms-touch-action: none;
	overflow: hidden;
}

a {
	font-family: sans-serif;
	font-weight: bold;
	font-size:30px;
	-webkit-text-stroke:1px #000;
	-webkit-text-fill-color:#FFF;
	text-shadow: 0px 0px 0px #FA2;
	text-decoration: none;
}

#bg-video {
  position: fixed;
  
	top: 50%;  /* position the top  edge of the element at the middle of the parent */
    left: 50%; /* position the left edge of the element at the middle of the parent */
	width: 100%;
	height: 100%;
    transform: translate(-50%, -50%);
	opacity: 100%;
}  

.logo {
	width: 20%;
	height: auto;
	position: absolute;
	left: 15%;
	bottom: 15%;
    pointer-events: none;
	z-index: 1;
}

@media (max-height: 700px) {
  .logo {
    display: none;
  }
}

/* All the snapping stuff */
.scroll-container {
	height: 100%;
	overflow-y: scroll;
	scroll-snap-type: y mandatory;
	z-index: 2;
	position: absolute;
}

section {
	height: 100%;
	scroll-snap-align: center;
	padding: 1rem;
}

.section-header {
	text-align: center;
	font-size: 30px;
	margin: 20px 0px;
}

.iframe-parent {
	position: relative;
	align-items: center;
	justify-content: center;
}

.aspect-ratio {
	width: 100%;
	height: auto;
	position: relative;
}

.iframe {
	position: absolute;
	width: 60%;
	height: 60%;
	top: 5%;
	left: 20%;
}

.section-content {
	flex: 1;
	display: flex;
	align-items: center; 
	justify-content: center;
	background-size: 600px auto;
	background-repeat: no-repeat;
}

.section-content-half {
	height: 100%;
	background-size: 48% auto;
	background-repeat: no-repeat;
	background-position:10% 50%;
	text-align: center;
	display: flex;
	align-items: center;
	font-size: 25px;
}

.section-footer {
	display: flex;
	flex-flow: column;
	position: absolute;
	bottom: 0;
	left: 0%;
	width: 100%;
	z-index: 3;
}

.section-footer-line {
	height: 50px;
	display: flex;
	flex-flow: row;
	width: 100%;
	align-items: flex-start;
	justify-content: center;
}

.gallery {
	display: flex;	
	flex-flow: column;
	flex-wrap: wrap;
	align-items: center;
	justify-content: center;
	margin-bottom: 50px;
}

.gallery-row {	
	text-align: center;
	flex-wrap: no-wrap;
}

.gallery img {
	margin-top: 10px;
	margin-left: 5px;
	margin-right: 5px;
	vertical-align: middle;
	height: auto;
	width: 25%;
}

.pointing-devil {
	width: 50%;
	height: 100%;
	text-align: right;
	display: flex;
	align-items: center; 
	justify-content: flex-start;
	margin-top: -10px;
	opacity: 1;
    pointer-events: none;
}

.section-footer-buttons {
	width: 50%;
	height: 100%;
	display: flex;
	align-items: center; 
	justify-content: flex-end;
	margin-left: 50px;
	gap: 16px;
}

.section-footer-button {
	border: none;
	width: auto;
	height: auto;
    vertical-align: middle;
}

.footer {
	text-align: center;
	margin-right: 140px;

	-webkit-text-stroke:0px #000;
	text-shadow: 0px 0px 0px #000;
	word-spacing: 10px;
}

.footer a {
	-webkit-text-stroke:0px #000;
	-webkit-text-fill-color:#E91;
	text-shadow: 0px 0px 0px #000;
	word-spacing: 10px;
	font-size: 16px;
}

.join-us-content {
	height: 300px;
	display: flex;
	flex-flow: column;
	width: 100%;
	align-items: flex-start;
	justify-content: flex-start;
	gap: 15px;
	font-size: 26px;
}

.join-us-buttons {
	width: 50%;
	height: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
	margin-left: 50px;
}

.row {
	display: flex;
	flex-flow: column;
	height: 100%;
	width: 100%;
 }

.row::after {
	content: "";
	clear: both;
}

.buy-button {
	color: white;
	border: none;
	width: 80px;
	height: 30px;
}

.fb-button {
	border: none;
	width: auto;
	height: 50px;
    vertical-align: middle;
}

.press {
	position: absolute;
	z-index: 2;
	width: 100%;
	height: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
	flex-flow: column;
}